Bug 612212 - igb: typo in igb aer code
Summary: igb: typo in igb aer code
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.6
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Stefan Assmann
QA Contact: Network QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-07 15:09 UTC by Stefan Assmann
Modified: 2011-01-13 21:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 21:41:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
igb-aer-typo-fix.patch (428 bytes, application/octet-stream)
2010-07-07 15:09 UTC, Stefan Assmann
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Stefan Assmann 2010-07-07 15:09:16 UTC
Created attachment 430090 [details]
igb-aer-typo-fix.patch

Description of problem:
upstream code in igb_io_slot_reset
+               igb_reset(adapter);
+               wr32(E1000_WUS, ~0);
+               result = PCI_ERS_RESULT_RECOVERED;
+       }

compared to backported code in igb_io_slot_reset
+               igb_reset(adapter);
+               wr32(E1000_WUS, ~0);
+               return PCI_ERS_RESULT_RECOVERED;
+       }

Comment 1 Stefan Assmann 2010-07-07 15:16:07 UTC
thanks John for letting me know about this.

Comment 3 RHEL Product and Program Management 2010-08-31 12:39:09 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Jarod Wilson 2010-09-03 19:06:02 UTC
in kernel-2.6.18-215.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 9 errata-xmlrpc 2011-01-13 21:41:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.